Update to metasploit_data_models 0.6.1 #1563

Merged
merged 3 commits into from Mar 7, 2013

Projects

None yet

2 participants

@limhoff-r7
Contributor

MetasploitDataModels 0.6.1 adds a re-usable yard.rake so that all
Metasploit project don't have to define their own. It also adds guards
so that the YARD tasks aren't defined (and don't cause errors) if YARD
is not available.

This also adds support for making the Rakefile work with bundle install --without development test so it still functions in the bundle building
environment for Pro.

limhoff-r7 added some commits Mar 7, 2013
@limhoff-r7 limhoff-r7 Update Gemfile to metasploit_data_models 0.6.1
[#45771305]

MetasploitDataModels 0.6.1 adds a re-usable yard.rake so that all
Metasploit project don't have to define their own.  It also adds guards
so that the YARD tasks aren't defined (and don't cause errors) if YARD
is not available.

This also adds support for making the Rakefile work with `bundle install
--without development test` so it still functions in the bundle building
environment for Pro.
7ca33c1
@limhoff-r7 limhoff-r7 Update gemcache to metasploit_data_models 0.6.1
[#45771305]
e912bec
Contributor

Before Merge Steps:

Contributor

Verification Steps

rake works without development or test

  • bundle install --without development test
  • rake -T
  • VERIFY no errors

rake works with development and test

  • bundle install --without ''
  • `rake -T'
  • VERIFY no errors

rake yard works with development and test

  • bundle install --without ''
  • rake yard
  • VERIFY no errors

rake spec works with development and test

  • bundle install --without ''
  • rake spec
  • VERIFY no errors
  • VERIFY no spec failures
@bturner-r7 bturner-r7 merged commit addb73e into master Mar 7, 2013

1 check passed

default The Travis build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment